## org.apache.lucene.util
Class SortedVIntList

    java.lang.Object
      org.apache.lucene.search.DocIdSet
          org.apache.lucene.util.SortedVIntList

    public class SortedVIntList

extends DocIdSet

Store and iterate sorted integers in compressed form in RAM.
The code for compressing the differences between ascending integers was borrowed from `IndexInput` and `IndexOutput`.

Constructor Summary
`SortedVIntList(BitSet bits)` Create a SortedVIntList from a BitSet.
`SortedVIntList(DocIdSetIterator docIdSetIterator)` Create a SortedVIntList.
`SortedVIntList(int[] sortedInts)` Create a SortedVIntList from all elements of an array of integers.
`SortedVIntList(int[] sortedInts, int inputSize)` Create a SortedVIntList from an array of integers.
`SortedVIntList(OpenBitSet bits)` Create a SortedVIntList from an OpenBitSet.

Method Summary
`int` `getByteSize()`
`DocIdSetIterator` `iterator()`
`int` `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortedVIntList

    public SortedVIntList(int[] sortedInts)

  Create a SortedVIntList from all elements of an array of integers.

  Parameters:
    `sortedInts` - A sorted array of non negative integers.

### SortedVIntList

    public SortedVIntList(int[] sortedInts,
                          int inputSize)

  Create a SortedVIntList from an array of integers.

  Parameters:
    `sortedInts` - An array of sorted non negative integers.
    `inputSize` - The number of integers to be used from the array.

### SortedVIntList

    public SortedVIntList(BitSet bits)

  Create a SortedVIntList from a BitSet.

  Parameters:
    `bits` - A bit set representing a set of integers.

### SortedVIntList

    public SortedVIntList(OpenBitSet bits)

  Create a SortedVIntList from an OpenBitSet.

  Parameters:
    `bits` - A bit set representing a set of integers.

### SortedVIntList

    public SortedVIntList(DocIdSetIterator docIdSetIterator)
                   throws IOException

  Create a SortedVIntList.

  Parameters:
    `docIdSetIterator` - An iterator providing document numbers as a set of integers. This DocIdSetIterator is iterated completely when this constructor is called and it must provide the integers in non decreasing order.
  Throws:
    `IOException`

Method Detail

### size

    public int size()

  Returns:
    The total number of sorted integers.

### getByteSize

    public int getByteSize()

  Returns:
    The size of the byte array storing the compressed sorted integers.

### iterator

    public DocIdSetIterator iterator()

  Specified by:
    `iterator` in class `DocIdSet`
  Returns:
    An iterator over the sorted integers.

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.